
// HttpTestDlg.cpp : ʵļ
//

#include "stdafx.h"
#include "HttpTest.h"
#include "HttpTestDlg.h"
#include "EyeKeyApi.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CHttpTestDlg Ի




CHttpTestDlg::CHttpTestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CHttpTestDlg::IDD, pParent)
	, m_strAppID(_T(""))
	, m_strAppKey(_T(""))
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CHttpTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT_APP_ID, m_strAppID);
	DDX_Text(pDX, IDC_EDIT_APP_KEY, m_strAppKey);
}

BEGIN_MESSAGE_MAP(CHttpTestDlg, CDialog)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
    ON_BN_CLICKED(IDC_BUTTON1, &CHttpTestDlg::OnBnClickedButton1)
	ON_WM_DESTROY()
END_MESSAGE_MAP()


// CHttpTestDlg Ϣ

BOOL CHttpTestDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// ô˶ԻͼꡣӦóڲǶԻʱܽԶ
	//  ִд˲
	SetIcon(m_hIcon, TRUE);			// ôͼ
	SetIcon(m_hIcon, FALSE);		// Сͼ

	// TODO: ڴӶĳʼ

	// TODO: ڴӶĳʼ
	TCHAR szPath[MAX_PATH] = {0};
	GetModuleFileName(NULL, szPath, MAX_PATH);
	m_strCfgPath = szPath;
	m_strCfgPath = m_strCfgPath.Left(m_strCfgPath.ReverseFind('\\')+1);
	m_strCfgPath += _T("config.ini");
	LoadConfig();

	return TRUE;  // ǽõؼ򷵻 TRUE
}

// ԻСťҪĴ
//  Ƹͼꡣʹĵ/ͼģ͵ MFC Ӧó
//  ⽫ɿԶɡ

void CHttpTestDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // ڻƵ豸

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// ʹͼڹо
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// ͼ
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

//û϶Сʱϵͳô˺ȡù
//ʾ
HCURSOR CHttpTestDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}



void CHttpTestDlg::LoadConfig()
{
	GetPrivateProfileString(_T("AppInfo"),_T("app_id"),_T(""),m_strAppID.GetBuffer(MAX_PATH),MAX_PATH,m_strCfgPath);
	GetPrivateProfileString(_T("AppInfo"),_T("app_key"),_T(""),m_strAppKey.GetBuffer(MAX_PATH),MAX_PATH,m_strCfgPath);
	UpdateData(FALSE);
}

void CHttpTestDlg::WriteConfig()
{
	UpdateData();
	WritePrivateProfileString(_T("AppInfo"),_T("app_id"),m_strAppID,m_strCfgPath);
	WritePrivateProfileString(_T("AppInfo"),_T("app_key"),m_strAppKey,m_strCfgPath);
}

void CHttpTestDlg::OnBnClickedButton1()
{
    UpdateData();
	if (m_strAppID.IsEmpty() || m_strAppKey.IsEmpty())
	{
		AfxMessageBox(_T("appidappkeyΪ"));
		return;
	}

    CFileDialog dlg(TRUE,_T("jpg"),NULL,OFN_HIDEREADONLY|OFN_OVERWRITEPROMPT,_T("(*.jpg;*.png;*.bmp)|*.jpg;*.png;*.bmp||"));
    if (dlg.DoModal() != IDOK)
    {
        return;
    }
    CString strRes;
    EyeKeyApi test(m_strAppID, m_strAppKey);
	if (test.Check(dlg.GetPathName(), strRes))
	{
		SetDlgItemText(IDC_EDIT_RESPONSE, strRes);
	}
	else
	{
		MessageBox(_T("fail"));
	}
}

void CHttpTestDlg::OnDestroy()
{
	CDialog::OnDestroy();

	WriteConfig();
}
